diff --git a/lib/routes/getNavFromRoutes.js b/lib/routes/getNavFromRoutes.js
index 0964c3f2041b5b5099ddf1e5aef3319a99eaa979..e7ae90e70d1bfbf314411ba78fd9e4b76a51b1a4 100644
--- a/lib/routes/getNavFromRoutes.js
+++ b/lib/routes/getNavFromRoutes.js
@@ -5,11 +5,11 @@ Object.defineProperty(exports, "__esModule", {
 });
 exports.default = void 0;
 var _getMenuFromRoutes = require("./getMenuFromRoutes");
-function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
-function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
-function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
-function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
-function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
+function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
+function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
+function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
+function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
+function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
 var _default = (routes, opts, userCustomNavs) => {
   const localeNavs = {};
   let customNavs = userCustomNavs || {};
@@ -20,7 +20,8 @@ var _default = (routes, opts, userCustomNavs) => {
   routes.forEach(route => {
     var _route$meta;
     if ((_route$meta = route.meta) === null || _route$meta === void 0 ? void 0 : _route$meta.nav) {
-      var _localeNavs$locale;
+      var _route$meta2, _route$meta2$nav, _localeNavs$locale;
+      if ((_route$meta2 = route.meta) === null || _route$meta2 === void 0 ? void 0 : (_route$meta2$nav = _route$meta2.nav) === null || _route$meta2$nav === void 0 ? void 0 : _route$meta2$nav.hide) return;
       const locale = route.meta.locale || opts.locales[0][0];
       const navPath = (0, _getMenuFromRoutes.addHtmlSuffix)(route.meta.nav.path);
       localeNavs[locale] = _objectSpread(_objectSpread({}, localeNavs[locale] || {}), {}, {
diff --git a/lib/routes/getRouteConfig.js b/lib/routes/getRouteConfig.js
index ea3904bfd39e28d14e6b9c53394f4ca2298dd972..2fb670976770bd8f39438849b9c94553e626682d 100644
--- a/lib/routes/getRouteConfig.js
+++ b/lib/routes/getRouteConfig.js
@@ -37,20 +37,19 @@ var _loader = _interopRequireDefault(require("../theme/loader"));
 var _decorator = _interopRequireDefault(require("./decorator"));
 var _integrate = require("./decorator/integrate");
 const _excluded = ["component"];
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
-function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
-function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
-function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
-function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
-function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
-function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
-function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }
-function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
+function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
+function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
+function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
+function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
+function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var s = Object.getOwnPropertySymbols(e); for (r = 0; r < s.length; r++) o = s[r], t.includes(o) || {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
+function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.includes(n)) continue; t[n] = r[n]; } return t; }
+function asyncGeneratorStep(n, t, e, r, o, a, c) { try { var i = n[a](c), u = i.value; } catch (n) { return void e(n); } i.done ? t(u) : Promise.resolve(u).then(r, o); }
+function _asyncToGenerator(n) { return function () { var t = this, e = arguments; return new Promise(function (r, o) { var a = n.apply(t, e); function _next(n) { asyncGeneratorStep(a, r, o, _next, _throw, "next", n); } function _throw(n) { asyncGeneratorStep(a, r, o, _next, _throw, "throw", n); } _next(void 0); }); }; }
 const debug = (0, _utils().createDebug)('dumi:routes:get');
-const DUMI_ROOT_FLAG = '__dumiRoot';
-exports.DUMI_ROOT_FLAG = DUMI_ROOT_FLAG;
-var _default = /*#__PURE__*/function () {
+const DUMI_ROOT_FLAG = exports.DUMI_ROOT_FLAG = '__dumiRoot';
+var _default = exports.default = /*#__PURE__*/function () {
   var _ref = _asyncToGenerator(function* (api, opts) {
     var _api$args, _yield$api$applyPlugi;
     const paths = api.paths;
@@ -125,4 +124,3 @@ var _default = /*#__PURE__*/function () {
     return _ref.apply(this, arguments);
   };
 }();
\ No newline at end of file
-exports.default = _default;
\ No newline at end of file
diff --git a/lib/routes/getRouteConfigFromDir.js b/lib/routes/getRouteConfigFromDir.js
index 6b0f8e512d11e9677e71207ab8718e9700f0ea0e..e41441781ea1bab1f56f66da68cf7d3b4029080c 100644
--- a/lib/routes/getRouteConfigFromDir.js
+++ b/lib/routes/getRouteConfigFromDir.js
@@ -34,13 +34,13 @@ function _ignore() {
   return data;
 }
 var _context = _interopRequireDefault(require("../context"));
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
 function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
-function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
-function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
-function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
-function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
+function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
+function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
+function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
+function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
 const IGNORE_DIR = ['node_modules', 'fixtures'];
 /**
  * discard .dirname & _dirname & ignore directories
@@ -61,7 +61,6 @@ function normalizePath(oPath, localePath = '', locales = []) {
   // convert TheComponent to the-component
   .replace(/([a-z])([A-Z])/g, '$1-$2').toLowerCase())).replace(/([^]+)\/$/, '$1'); // discard end slashZ
 }
-
 function splitLocalePathFromFilename(filename, locales) {
   const matchList = filename.match(/^(.+)\.([^.]+)$/);
   const result = ['', filename];
@@ -74,7 +73,6 @@ function splitLocalePathFromFilename(filename, locales) {
     // eslint-disable-next-line prefer-destructuring
     result[1] = matchList[1]; // real filename
   }
-
   return result;
 }
 /**
diff --git a/lib/theme/components/AnchorLink.js b/lib/theme/components/AnchorLink.js
index 12eda08810fa032243a2bdf05a3fb4a77afd8b13..e246023fbe9ee59f057381db5da6d36b74a21c9e 100644
--- a/lib/theme/components/AnchorLink.js
+++ b/lib/theme/components/AnchorLink.js
@@ -7,25 +7,25 @@ exports.default = void 0;
 var _react = _interopRequireWildcard(require("react"));
 var _runtime = require("@umijs/runtime");
 var _lodash = _interopRequireDefault(require("lodash.throttle"));
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
-function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
-function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
-function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
-function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
+function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
+function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
+function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
+function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
 function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
-function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
-function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }
-function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0) { ; } } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
-function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
-function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
-function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
-function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
-function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
-function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
-var anchorWatcher = new ( /*#__PURE__*/function () {
-  function _class2() {
-    _classCallCheck(this, _class2);
+function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
+function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
+function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
+function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
+function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
+function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
+function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
+function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
+function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
+var anchorWatcher = new (/*#__PURE__*/function () {
+  function _class() {
+    _classCallCheck(this, _class);
     this.anchors = [];
     this.listeners = [];
     this.listener = void 0;
@@ -34,7 +34,7 @@ var anchorWatcher = new ( /*#__PURE__*/function () {
   /**
    * get active anchor by position
    */
-  _createClass(_class2, [{
+  return _createClass(_class, [{
     key: "_matchActiveAnchor",
     value: function _matchActiveAnchor() {
       var _this = this;
@@ -98,12 +98,11 @@ var anchorWatcher = new ( /*#__PURE__*/function () {
       }), 1);
     }
   }]);
-  return _class2;
 }())();
 function getElmScrollPosition(elm) {
   return elm.offsetTop + (elm.offsetParent ? getElmScrollPosition(elm.offsetParent) : 0);
 }
-var AnchorLink = function AnchorLink(props) {
+var _AnchorLink = function AnchorLink(props) {
   var _props$to$match;
   var hash = ((_props$to$match = props.to.match(/(#[^&?]*)/)) === null || _props$to$match === void 0 ? void 0 : _props$to$match[1]) || '';
   var ref = (0, _react.useRef)(null);
@@ -137,14 +136,14 @@ var AnchorLink = function AnchorLink(props) {
   return /*#__PURE__*/_react.default.createElement(_runtime.NavLink, _extends({}, props, {
     ref: ref,
     onClick: function onClick() {
-      return AnchorLink.scrollToAnchor(hash.substring(1));
+      return _AnchorLink.scrollToAnchor(hash.substring(1));
     },
     isActive: function isActive() {
       return _isActive;
     }
   }));
 };
-AnchorLink.scrollToAnchor = function (anchor) {
+_AnchorLink.scrollToAnchor = function (anchor) {
   // wait for dom update
   window.requestAnimationFrame(function () {
     var elm = document.getElementById(decodeURIComponent(anchor));
@@ -154,5 +153,4 @@ AnchorLink.scrollToAnchor = function (anchor) {
     }
   });
 };
-var _default = AnchorLink;
-exports.default = _default;
\ No newline at end of file
+var _default = exports.default = _AnchorLink;
\ No newline at end of file
diff --git a/lib/theme/components/Link.d.ts b/lib/theme/components/Link.d.ts
index 8799d8a27ceefb93c1cce3216c738c84d9545963..a30417134abd80d8e4ed09c2d14ceb4c34598b3c 100644
--- a/lib/theme/components/Link.d.ts
+++ b/lib/theme/components/Link.d.ts
@@ -4,6 +4,6 @@ import type { LinkProps, NavLinkProps } from 'react-router-dom';
  * Link component wrapper for render external link
  * @param Component   original Link component
  */
-export declare const LinkWrapper: (Component: React.FC<LinkProps | NavLinkProps>) => ({ to, ...props }: LinkProps | NavLinkProps) => JSX.Element;
-declare const _default: ({ to, ...props }: LinkProps<H.LocationState> | NavLinkProps<H.LocationState>) => JSX.Element;
+export declare const LinkWrapper: (Component: React.FC<LinkProps | NavLinkProps>) => ({ to, ...props }: LinkProps | NavLinkProps) => React.JSX.Element;
+declare const _default: ({ to, ...props }: LinkProps<H.LocationState> | NavLinkProps<H.LocationState>) => React.JSX.Element;
 export default _default;
diff --git a/lib/theme/components/Link.js b/lib/theme/components/Link.js
index 1ee27ca059324ef2b16f2992f97bbc279e2f6339..1dca1af95419259ee1e84e8ebe451990da04d264 100644
--- a/lib/theme/components/Link.js
+++ b/lib/theme/components/Link.js
@@ -7,15 +7,15 @@ exports.default = exports.LinkWrapper = void 0;
 var _react = _interopRequireDefault(require("react"));
 var _runtime = require("@umijs/runtime");
 var _excluded = ["to"];
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
-function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
-function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
+function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var s = Object.getOwnPropertySymbols(e); for (r = 0; r < s.length; r++) o = s[r], t.includes(o) || {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
+function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.includes(n)) continue; t[n] = r[n]; } return t; }
 /**
  * Link component wrapper for render external link
  * @param Component   original Link component
  */
-var LinkWrapper = function LinkWrapper(Component) {
+var LinkWrapper = exports.LinkWrapper = function LinkWrapper(Component) {
   return function (_ref) {
     var to = _ref.to,
       props = _objectWithoutProperties(_ref, _excluded);
@@ -60,6 +60,4 @@ var LinkWrapper = function LinkWrapper(Component) {
     }));
   };
 };
-exports.LinkWrapper = LinkWrapper;
-var _default = LinkWrapper(_runtime.Link);
-exports.default = _default;
\ No newline at end of file
+var _default = exports.default = LinkWrapper(_runtime.Link);
\ No newline at end of file
diff --git a/lib/theme/components/NavLink.d.ts b/lib/theme/components/NavLink.d.ts
index da3c63c21fc9e3010dc5a6fabf2a6b58e4691cad..fd71c78e4601236d80ac49f8b27c76594c423bc2 100644
--- a/lib/theme/components/NavLink.d.ts
+++ b/lib/theme/components/NavLink.d.ts
@@ -1,2 +1,2 @@
-declare const _default: ({ to, ...props }: import("react-router-dom").LinkProps<H.LocationState> | import("react-router-dom").NavLinkProps<H.LocationState>) => JSX.Element;
+declare const _default: ({ to, ...props }: import("react-router-dom").LinkProps<H.LocationState> | import("react-router-dom").NavLinkProps<H.LocationState>) => import("react").JSX.Element;
 export default _default;
diff --git a/lib/theme/components/NavLink.js b/lib/theme/components/NavLink.js
index bc7e68806373c564ffb9cabeb256399a308a4076..2c185445f90a0271affc7e9a2993952237496b3d 100644
--- a/lib/theme/components/NavLink.js
+++ b/lib/theme/components/NavLink.js
@@ -6,5 +6,4 @@ Object.defineProperty(exports, "__esModule", {
 exports.default = void 0;
 var _runtime = require("@umijs/runtime");
 var _Link = require("./Link");
-var _default = (0, _Link.LinkWrapper)(_runtime.NavLink);
-exports.default = _default;
\ No newline at end of file
+var _default = exports.default = (0, _Link.LinkWrapper)(_runtime.NavLink);
\ No newline at end of file
